﻿.table-sticky {
    border-collapse: separate;
    border-spacing: 0;
}

    .table-sticky > thead > tr > th {
        vertical-align: middle;
        border-bottom: 2px solid #dee2e6 !important;
        position: sticky;
        top: 0;
        background: #fff;
        z-index: 5;
    }

    .table-sticky thead > tr > th.sticky-left {
        z-index: 15;
    }

    .table-sticky td {
        vertical-align: middle;
        overflow-x: hidden;
        text-overflow: ellipsis;
        -webkit-line-clamp: 1;
    }

    .table-sticky .sticky-left {
        position: sticky;
        left: 0;
        z-index: 10;
        background: #f5f5f5;
        overflow-x: hidden;
        text-overflow: ellipsis;
        -webkit-line-clamp: 1;
    }

    .table-sticky th.sticky-left:not(:has(+ .sticky-left)) {
        border-right: 2px solid #dee2e6;
    }

    .table-sticky.table-hover tbody tr:hover .sticky-left {
        background-color: #ececec;
    }
